﻿using Microsoft.Xna.Framework.Content.Pipeline;
using Microsoft.Xna.Framework.Content.Pipeline.Serialization.Compiler;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RecrownedAthenaeum.Pipeline.NinePatch
{
    [ContentTypeWriter]
    class NinePatchWriter : ContentTypeWriter<byte[]>
    {
        public override string GetRuntimeReader(TargetPlatform targetPlatform)
        {
            return "RecrownedAthenaeum.Pipeline, NinePatchDataReader";
        }

        protected override void Write(ContentWriter output, byte[] value)
        {
            output.Write(value.Length);
            output.Write(value);
        }
    }
}
